require 'highline/import'
require 'escort'

require 'super_push/version'

module SuperPush
  class ApPush < ::Escort::ActionCommand::Base

  	def execute

      if command_options[:status]
        puts `git status`

        proceed = ask(Rainbow("Would you like to proceed? (Y/n)").black)

        if (proceed.downcase == 'y')
          exec_cmd
        end
      else
        exec_cmd
      end

      puts Rainbow("Finished").green
  	end

    def exec_cmd
  		`git add --all`

  		`git commit -m "#{arguments[0]}"`

  		unless command_options[:branch_given]
  			`git push -u origin master`
  		end
    end
  end
end
